#ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface_fifo.h"


namespace morpheo              {
namespace behavioural          {

  uint32_t Interface_fifo::get_cycle (void)
  {
    if (_test_exhaustive == true)
      return Interface::get_cycle();
    
    return _list_cycle->back();
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
